### Constructor

# GimpUi ImageChooser new

since: 3.0

#### Declaration [src]

    GtkWidget*
    gimp_image_chooser_new (
      const gchar* title,
      const gchar* label,
      GimpImage* image
    )

#### Description [src]

Creates a new `GtkWidget` that lets a user choose an image.

When `image` is `NULL`, initial choice is from context.

Available since: 3.0

#### Parameters

`title`

  Type: `const gchar*`

  Title of the dialog to use or `NULL` to use the default title.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const gchar*`

  Button label or `NULL` for no label.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`image`

  Type: `GimpImage`

  Initial image.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A [class@GimpUi.ImageChooser.

The data is owned by the called function.